package ch.unibe.piccola.code;

import ch.unibe.piccola.source.SourceRef;

/**
 * @author   Stefan Kneubuehl
 * @version  3.4c (Aug 08, 2002)
**/
class OpExit extends OpCode
{

    // ------------------------------------------------------------------------
    // public
    // ------------------------------------------------------------------------

    public final void execute(IVM vm)
    {
        vm.opExit();
    }

    public final String toString()
    {
        return "OpExit";
    }

    // ------------------------------------------------------------------------
    // default
    // ------------------------------------------------------------------------

    OpExit(SourceRef sourceRef)
    {
        super(sourceRef);
    }

}