package ch.unibe.piccola.syntax;

import ch.unibe.piccola.source.SourceRef;

/**
 * Represents a leaf node.
 *
 * @author   Stefan Kneubuehl
 * @version  3.4c (Nov 14, 2002)
**/
public abstract class LeafNode extends Node
{

    // ------------------------------------------------------------------------
    // public
    // ------------------------------------------------------------------------

    public Node transform(NodeVisitor visitor)
    {
        return this;
    }

    // ------------------------------------------------------------------------
    // default
    // ------------------------------------------------------------------------

    LeafNode(SourceRef sourceRef)
    {
        super(sourceRef);
    }

}
