package ch.unibe.piccola.vm;

import java.util.SortedMap;

/**
 * @author   Stefan Kneubuehl
 * @version  3.4c (Jun 01, 2003)
**/
public class PeerObjectForm extends PeerForm
{

    // ------------------------------------------------------------------------
    // default
    // ------------------------------------------------------------------------

    PeerObjectForm(FormFactory factory, VMPool pool, Object object)
    {
        super(factory, pool, object);
        m_class = JavaClass.lookup(object.getClass());
    }

    // ------------------------------------------------------------------------
    // protected
    // ------------------------------------------------------------------------

    protected SortedMap ats()
    {
        return m_class.getInstanceAttributes();
    }

    protected SortedMap ops()
    {
        return m_class.getInstanceOperations();
    }

    // ------------------------------------------------------------------------
    // private
    // ------------------------------------------------------------------------

    private JavaClass m_class;

}
