package ch.unibe.piccola.vm;

import ch.unibe.piccola.code.Arguments;
import ch.unibe.piccola.code.Code;
import ch.unibe.piccola.syntax.Syntax;

/**
 * @author   Stefan Kneubuehl
 * @version  4.0 (Jun 01, 2003)
**/
public abstract class Service
{

    // ------------------------------------------------------------------------
    // public
    // ------------------------------------------------------------------------

    public final Object callback(Object arg1, Object arg2)
    {
        return callback(new Arguments(arg1, arg2));
    }

    public abstract Object callback(Arguments args);

    public abstract Form evaluate(Form dynamic);

    public abstract Code getCode();

    public abstract Form getContext();

    public abstract void run(Form dynamic);

}
