package ch.unibe.piccola.bridge;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import ch.unibe.piccola.vm.Form;
import ch.unibe.piccola.vm.Service;

/**
 * Implements a generic <code>ActionListener</code>.
 *
 * @author   Stefan Kneubuehl
 * @version  4.0 (Jun 09, 2003)
**/
public class GenericActionListener extends GenericListener
    implements ActionListener
{

    // ------------------------------------------------------------------------
    // public
    // ------------------------------------------------------------------------

    public GenericActionListener(Form handler)
    {
        m_actionPerformed = extractService(handler, "actionPerformed");
    }

    public void actionPerformed(ActionEvent event)
    {
		m_actionPerformed.callback(this, event);
    }

    // ------------------------------------------------------------------------
    // private
    // ------------------------------------------------------------------------

    private final Service m_actionPerformed;

}
