package ch.unibe.piccola.bridge;

import javax.swing.event.TreeSelectionEvent;
import javax.swing.event.TreeSelectionListener;
import ch.unibe.piccola.vm.Form;
import ch.unibe.piccola.vm.Service;

/**
 * Implements a generic <code>TreeSelectionListener</code>.
 *
 * @author   Stefan Kneubuehl
 * @version  4.0 (Jun 09, 2003)
**/
public class GenericTreeSelectionListener extends GenericListener
    implements TreeSelectionListener
{

    // ------------------------------------------------------------------------
    // public
    // ------------------------------------------------------------------------

    public GenericTreeSelectionListener(Form handler)
    {
        m_valueChanged = extractService(handler, "valueChanged");
    }

    public void valueChanged(TreeSelectionEvent event)
    {
        m_valueChanged.callback(this, event);
    }

    // ------------------------------------------------------------------------
    // private
    // ------------------------------------------------------------------------

    private final Service m_valueChanged;

}
