package ch.unibe.piccola.bytecode;

import ch.unibe.piccola.code.Arguments;
import ch.unibe.piccola.vm.Form;
import ch.unibe.piccola.vm.Service;

public class ImplInterfaceMathOperationTest implements IMathOperationsTest
{

	private Service m_voidAObjectObject;

    protected Service extractService(Form handler, String name)
    {
        return handler.project(name).service();
    }

	public ImplInterfaceMathOperationTest(Form delegate)
	{
		m_voidAObjectObject = extractService(delegate, "voidObjectObject");
	}

	public boolean isZero(int i) {
		Arguments argumentList = new Arguments();
		argumentList.add(new Integer(i));
		return ((Boolean) m_voidAObjectObject.callback(argumentList)).booleanValue();
	}

	public int inc(int i) {
		Arguments argumentList = new Arguments();
		argumentList.add(new Integer(i));
		return ((Integer) m_voidAObjectObject.callback(argumentList)).intValue();
	}

	public int add(int a, int b) {
		Arguments argumentList = new Arguments();
		argumentList.add(new Integer(a));
		argumentList.add(new Integer(b));
		return ((Integer) m_voidAObjectObject.callback(argumentList)).intValue();
	}

	public int sub(int a, int b) {
		Arguments argumentList = new Arguments();
		argumentList.add(new Integer(a));
		argumentList.add(new Integer(b));
		return ((Integer) m_voidAObjectObject.callback(argumentList)).intValue();
	}

	public int mult(int a, int b) {
		Arguments argumentList = new Arguments();
		argumentList.add(new Integer(a));
		argumentList.add(new Integer(b));
		return ((Integer) m_voidAObjectObject.callback(argumentList)).intValue();
	}

	public int div(int a, int b) {
		Arguments argumentList = new Arguments();
		argumentList.add(new Integer(a));
		argumentList.add(new Integer(b));
		return ((Integer) m_voidAObjectObject.callback(argumentList)).intValue();
	}
}

